package com.sf.day22;

import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;
import org.junit.Test;

import java.io.*;

public class Test01 {

    /**
     * 从键盘输入字符串，要求将读取到的整行字符串转成大写输出。
     * 然后继续进行输入操作，直至当输入“e”或者“exit”时，退出程序。
     */
    @Test
    public void t1() throws IOException{
        System.out.println("请输入字符串，直至当输入“e”或者“exit”时，退出程序。");
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        String str;
            while ((str = br.readLine()) !=null){
                if("e".equals(str) || "exit".equals(str)){
                    break;
                }
                System.out.println(str.toUpperCase());
            }
    }

    @Test
    public void t2() throws IOException {
//        int copy = IOUtils.copy(new FileInputStream("D:\\a.txt"), new FileOutputStream("D:\\aaaaaa.txt"));
//        IOUtils.closeQuietly();
//        System.out.println(copy);
        FileUtils.writeStringToFile(new File("D:\\a.txt"),"eeeeee",true);
    }
}
